Get an exception list summary

Base URL
https://{kibana_url}
  • GET /api/exception_lists/summary
  • GET /s/{space_id}/api/exception_lists/summary
Auth

Get a summary of the specified exception list.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

id string · format: nonempty · min length: 1

Exception list's identifier generated upon creation.

Example: 9e5fc75a-a3da-46c5-96e3-a2ec59c6bb85
list_id string · format: nonempty · min length: 1

Exception list's human readable identifier.

Example: simple_list
namespace_type enum

single returns summary for a list in the current space; agnostic for a space-agnostic list. Must line up with id / list_id used to look up the list.

Values: agnostic single
filter string

Search filter clause

Responses

Successful response

application/json
linux integer · min: 0
macos integer · min: 0
total integer · min: 0
windows integer · min: 0

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Exception list not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}